Bug 172189 - GUI of system-config-network crashes by trying to configure devices
GUI of system-config-network crashes by trying to configure devices
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks: 87718
  Show dependency treegraph
 
Reported: 2005-11-01 08:35 EST by Ronny Fischer
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-11 06:14:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ronny Fischer 2005-11-01 08:35:21 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; .NET CLR 1.1.4322)

Description of problem:
after installing the latest driver and firmware of ip2200 from "http://atrpms.net" the GUI-frontend of system-config-network crashes with an error everytime I try to configure any network device.

Version-Release number of selected component (if applicable):
kernel-2.6.13-1.1532, latest updates installed

How reproducible:
Always

Steps to Reproduce:
1. starting FC4
2. try to open configure dialog of a network device
3. 

Actual Results:  An error message appears (content follows in Additional Information).

Expected Results:  the GUI should appear.

Additional info:

Component: system-config-network
Version: 1.3.26
Summary: TB85da302c maindialog.py:293:load:AttributeError: '__main__.GnomeAppBar' object has no attribute 'push'

Traceback (most recent call last):
  File "/usr/sbin/system-config-network-gui", line 166, in main
    window = mainDialog()
  File "/usr/src/build/556832-noarch/install/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line 262, in __init__
  File "/usr/src/build/556832-noarch/install/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line 293, in load
AttributeError: '__main__.GnomeAppBar' object has no attribute 'push'

Local variables in innermost frame:
self: <netconfpkg.gui.maindialog.mainDialog instance at 0xb7aefd0c>
Comment 1 Tim Nugent 2006-03-04 08:57:24 EST
Same problem, but using ipw2100-1.1.5-40.rhfc4.at.i386.rpm on 2.6.15-1.1831_FC4.

How reproducible:
Always

Steps to Reproduce:
run system-config-network as root

Actual Results:  An error message appears

Expected Results:  the GUI should appear.


Produces this text:

Component: system-config-network
Version: 1.3.26
Summary: TB73236452 NCDevice.py:183:load:ValueError: invalid literal for int(): 1:1

Traceback (most recent call last):
  File "/usr/sbin/system-config-network-gui", line 166, in main
    window = mainDialog()
  File
"/usr/src/build/556832-noarch/install/usr/share/system-config-network/netconfpkg/gui/maindialog.py",
line 262, in __init__
  File
"/usr/src/build/556832-noarch/install/usr/share/system-config-network/netconfpkg/gui/maindialog.py",
line 294, in load
  File
"/usr/src/build/556832-noarch/install/usr/share/system-config-network/netconfpkg/gui/maindialog.py",
line 302, in loadDevices
  File
"/usr/src/build/556832-noarch/install/usr/share/system-config-network/netconfpkg/NCDeviceList.py",
line 294, in getDeviceList
  File
"/usr/src/build/556832-noarch/install/usr/share/system-config-network/netconfpkg/NCDeviceList.py",
line 80, in load
  File
"/usr/src/build/556832-noarch/install/usr/share/system-config-network/netconfpkg/plugins/NCDevWireless.py",
line 33, in load
  File
"/usr/src/build/556832-noarch/install/usr/share/system-config-network/netconfpkg/NCDevice.py",
line 183, in load
ValueError: invalid literal for int(): 1:1

Local variables in innermost frame:
name: eth1
confkey: IPV6INIT
cfg: <rhpl.Conf.ConfShellVar instance at 0xb79c382c>
self: Device.AutoDNS=true
Device.Hostname=VAIO
Device.HardwareAddress=00:04:23:4b:70:8a
Device.Type=Wireless
Device.Wireless.Key=
Device.IPv6Init=true
Device.Netmask=
Device.BootProto=none
Device.Device=eth1:1:1
Device.OnBoot=true
Device.IP=
Device.Domain=
Device.DeviceId=eth1
Device.AllowUser=true
Device.Gateway=

selfkey: IPv6Init
conf: <netconfpkg.NCDevice.ConfDevice instance at 0xb79c346c>
aliaspos: 4
Comment 2 Tim Nugent 2006-03-11 07:26:59 EST
Found a solution:

For some reason the device name was set to eth1:1:1, not sure where this was set.

edited this to eth1 in /etc/sysconfig/networking/profiles/Home/ifcfg-eth1

and I can now start system-config-network.

Tim

Note You need to log in before you can comment on or make changes to this bug.